You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     amd...@freebsd.org
Last committer: ger...@freebsd.org
Ident:          $FreeBSD: head/games/irrlamb/Makefile 367888 2014-09-10 
20:50:31Z gerald $
Log URL:        
http://beefy4.nyi.freebsd.org/data/head-amd64-default/p399171_s289200/logs/irrlamb-0.1.0_5.log
Build URL:      
http://beefy4.nyi.freebsd.org/build.html?mastername=head-amd64-default&build=p399171_s289200
Log:

====>> Building games/irrlamb
build started at Tue Oct 13 22:56:06 UTC 2015
port directory: /usr/ports/games/irrlamb
building for: FreeBSD head-amd64-default-job-18 11.0-CURRENT FreeBSD 
11.0-CURRENT r289200 amd64
maintained by: amd...@freebsd.org
Makefile ident:      $FreeBSD: head/games/irrlamb/Makefile 367888 2014-09-10 
20:50:31Z gerald $
Poudriere version: 3.1.8
Host OSVERSION: 1100079
Jail OSVERSION: 1100080




!!! Jail is newer than host. (Jail: 1100080, Host: 1100079) !!!
!!! This is not supported. !!!
!!! Host kernel must be same or newer than jail. !!!
!!! Expect build failures. !!!



---Begin Environment---
SHELL=/bin/csh
OSVERSION=1100080
UNAME_v=FreeBSD 11.0-CURRENT r289200
UNAME_r=11.0-CURRENT
LC_COLLATE=C
BLOCKSIZE=K
MAIL=/var/mail/root
STATUS=1
SAVED_TERM=
MASTERMNT=/usr/local/poudriere/data/.m/head-amd64-default/ref
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
POUDRIERE_BUILD_TYPE=bulk
PKGNAME=irrlamb-0.1.0_5
OLDPWD=/
PWD=/usr/local/poudriere/data/.m/head-amd64-default/ref/.p/pool
MASTERNAME=head-amd64-default
SCRIPTPREFIX=/usr/local/share/poudriere
USER=root
HOME=/root
POUDRIERE_VERSION=3.1.8
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
LIBEXECPREFIX=/usr/local/libexec/poudriere
LOCALBASE=/usr/local
PACKAGE_BUILDING=yes
---End Environment---

---Begin OPTIONS List---
---End OPTIONS List---

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/games/irrlamb/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/irrlamb/work  
HOME=/wrkdirs/usr/ports/games/irrlamb/work TMPDIR="/tmp" SHELL=/bin/sh 
CONFIG_SHELL=/bin/sh
--End CONFIGURE_ENV--

--MAKE_ENV--
LUA_MODLIBDIR=/usr/local/lib/lua/5.1  LUA_MODSHAREDIR=/usr/local/share/lua/5.1  
LUA_VER=5.1  LUA_INCDIR=/usr/local/include/lua51  LUA_LIBDIR=/usr/local/lib 
XDG_DATA_HOME=/wrkdirs/usr/ports/games/irrlamb/work  
XDG_CONFIG_HOME=/wrkdirs/usr/ports/games/irrlamb/work  
HOME=/wrkdirs/usr/ports/games/irrlamb/work TMPDIR="/tmp" NO_PIE=yes 
SHELL=/bin/sh NO_LINT=YES PREFIX=/usr/local  LOCALBASE=/usr/local  
LIBDIR="/usr/lib"  CC="cc" CFLAGS="-O2 -pipe  -fstack-protector 
-fno-strict-aliasing"  CPP="cpp" CPPFLAGS=""  LDFLAGS=" -fstack-protector" 
LIBS=""  CXX="c++" CXXFLAGS="-O2 -pipe -fstack-protector -fno-strict-aliasing " 
 MANPREFIX="/usr/local" BSD_INSTALL_PROGRAM="install  -s -m 555"  
BSD_INSTALL_LIB="install  -s -m 444"  BSD_INSTALL_SCRIPT="install  -m 555"  
BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
LUA_MODLIBDIR=lib/lua/5.1
LUA_MODSHAREDIR=share/lua/5.1
LUA_VER=5.1
LUA_INCDIR=include/lua51
LUA_LIBDIR=lib
LUA_VER_STR=51
OSREL=11.0
PREFIX=%D
LOCALBASE=/usr/local
RESETPREFIX=/usr/local
PORTDOCS=""
PORTEXAMPLES=""
LIB32DIR=lib
DOCSDIR="share/doc/irrlamb"
EXAMPLESDIR="share/examples/irrlamb"
DATADIR="share/irrlamb"
WWWDIR="www/irrlamb"
ETCDIR="etc/irrlamb"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local
LOCALBASE=/usr/local
DATADIR=/usr/local/share/irrlamb
DOCSDIR=/usr/local/share/doc/irrlamb
EXAMPLESDIR=/usr/local/share/examples/irrlamb
WWWDIR=/usr/local/www/irrlamb
ETCDIR=/usr/local/etc/irrlamb
--End SUB_LIST--

---Begin make.conf---
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
#### /usr/local/etc/poudriere.d/make.conf ####
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
=======================<phase: check-sanity   >============================
===========================================================================
=======================<phase: pkg-depends    >============================
===>   irrlamb-0.1.0_5 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.6.1.txz
[head-amd64-default-job-18] Installing pkg-1.6.1...
[head-amd64-default-job-18] Extracting pkg-1.6.1: .......... done
Message from pkg-1.6.1:
If you are upgrading from the old package format, first run:

  # pkg2ng
===>   irrlamb-0.1.0_5 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of irrlamb-0.1.0_5
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===> Fetching all distfiles required by irrlamb-0.1.0_5 for building
===========================================================================
=======================<phase: checksum       >============================
===> Fetching all distfiles required by irrlamb-0.1.0_5 for building
=> SHA256 Checksum OK for irrlamb-0.1.0-src.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===> Fetching all distfiles required by irrlamb-0.1.0_5 for building
===>  Extracting for irrlamb-0.1.0_5
=> SHA256 Checksum OK for irrlamb-0.1.0-src.tar.gz.
===========================================================================
=======================<phase: patch-depends  >============================
===========================================================================
=======================<phase: patch          >============================
===>  Patching for irrlamb-0.1.0_5
===>   Converting DOS text files to UNIX text files
===>  Applying FreeBSD patches for irrlamb-0.1.0_5
===========================================================================
=======================<phase: build-depends  >============================
===>   irrlamb-0.1.0_5 depends on file: /usr/local/lib/libIrrlicht.so - not 
found
===>   Installing existing package /packages/All/irrlicht-1.8.1_2.txz
[head-amd64-default-job-18] Installing irrlicht-1.8.1_2...
[head-amd64-default-job-18] `-- Installing jpeg-turbo-1.4.1...
[head-amd64-default-job-18] `-- Extracting jpeg-turbo-1.4.1: .......... done
[head-amd64-default-job-18] `-- Installing libGL-10.6.9...
[head-amd64-default-job-18] |   `-- Installing expat-2.1.0_3...
[head-amd64-default-job-18] |   `-- Extracting expat-2.1.0_3: .......... done
[head-amd64-default-job-18] |   `-- Installing dri2proto-2.8...
[head-amd64-default-job-18] |   `-- Extracting dri2proto-2.8: .... done
[head-amd64-default-job-18] |   `-- Installing libXdamage-1.1.4_3...
[head-amd64-default-job-18] |   | `-- Installing libXfixes-5.0.1_3...
[head-amd64-default-job-18] |   |   `-- Installing xproto-7.0.27...
[head-amd64-default-job-18] |   |   `-- Extracting xproto-7.0.27: .......... 
done
[head-amd64-default-job-18] |   |   `-- Installing fixesproto-5.0...
[head-amd64-default-job-18] |   |   `-- Extracting fixesproto-5.0: .... done
[head-amd64-default-job-18] |   |   `-- Installing libX11-1.6.2_3,1...
[head-amd64-default-job-18] |   |   | `-- Installing kbproto-1.0.6...
[head-amd64-default-job-18] |   |   | `-- Extracting kbproto-1.0.6: .......... 
done
[head-amd64-default-job-18] |   |   | `-- Installing libXdmcp-1.1.2...
[head-amd64-default-job-18] |   |   | `-- Extracting libXdmcp-1.1.2: ......... 
done
[head-amd64-default-job-18] |   |   | `-- Installing libxcb-1.11_1...
[head-amd64-default-job-18] |   |   |   `-- Installing libxml2-2.9.2_3...
[head-amd64-default-job-18] |   |   |   `-- Extracting libxml2-2.9.2_3: 
.......... done
[head-amd64-default-job-18] |   |   |   `-- Installing libpthread-stubs-0.3_6...
[head-amd64-default-job-18] |   |   |   `-- Extracting libpthread-stubs-0.3_6: 
..... done
[head-amd64-default-job-18] |   |   |   `-- Installing libXau-1.0.8_3...
[head-amd64-default-job-18] |   |   |   `-- Extracting libXau-1.0.8_3: 
.......... done
[head-amd64-default-job-18] |   |   | `-- Extracting libxcb-1.11_1: .......... 
done
[head-amd64-default-job-18] |   |   `-- Extracting libX11-1.6.2_3,1: .......... 
done
[head-amd64-default-job-18] |   | `-- Extracting libXfixes-5.0.1_3: .......... 
done
[head-amd64-default-job-18] |   | `-- Installing damageproto-1.2.1...
[head-amd64-default-job-18] |   | `-- Extracting damageproto-1.2.1: .... done
[head-amd64-default-job-18] |   `-- Extracting libXdamage-1.1.4_3: ...... done
[head-amd64-default-job-18] |   `-- Installing libdevq-0.0.2_1...
[head-amd64-default-job-18] |   `-- Extracting libdevq-0.0.2_1: ..... done
[head-amd64-default-job-18] |   `-- Installing libXxf86vm-1.1.4_1...
[head-amd64-default-job-18] |   | `-- Installing xf86vidmodeproto-2.3.1...
[head-amd64-default-job-18] |   | `-- Extracting xf86vidmodeproto-2.3.1: .... 
done
[head-amd64-default-job-18] |   | `-- Installing libXext-1.3.3_1,1...
[head-amd64-default-job-18] |   |   `-- Installing xextproto-7.3.0...
[head-amd64-default-job-18] |   |   `-- Extracting xextproto-7.3.0: .......... 
done
[head-amd64-default-job-18] |   | `-- Extracting libXext-1.3.3_1,1: .......... 
done
[head-amd64-default-job-18] |   `-- Extracting libXxf86vm-1.1.4_1: .......... 
done
[head-amd64-default-job-18] |   `-- Installing libdrm-2.4.60,1...
[head-amd64-default-job-18] |   | `-- Installing libpciaccess-0.13.3...
[head-amd64-default-job-18] |   |   `-- Installing pciids-20151007...
[head-amd64-default-job-18] |   |   `-- Extracting pciids-20151007: ...... done
[head-amd64-default-job-18] |   | `-- Extracting libpciaccess-0.13.3: ...... 
done
[head-amd64-default-job-18] |   `-- Extracting libdrm-2.4.60,1: .......... done
[head-amd64-default-job-18] |   `-- Installing libxshmfence-1.2...
[head-amd64-default-job-18] |   `-- Extracting libxshmfence-1.2: ......... done
[head-amd64-default-job-18] |   `-- Installing libglapi-10.6.9...
[head-amd64-default-job-18] |   | `-- Installing libXvMC-1.0.9...
[head-amd64-default-job-18] |   |   `-- Installing libXv-1.0.10_3,1...
[head-amd64-default-job-18] |   |   | `-- Installing videoproto-2.3.2...
[head-amd64-default-job-18] |   |   | `-- Extracting videoproto-2.3.2: ...... 
done
[head-amd64-default-job-18] |   |   `-- Extracting libXv-1.0.10_3,1: .......... 
done
[head-amd64-default-job-18] |   | `-- Extracting libXvMC-1.0.9: .......... done
[head-amd64-default-job-18] |   `-- Extracting libglapi-10.6.9: ... done
[head-amd64-default-job-18] `-- Extracting libGL-10.6.9: .......... done
[head-amd64-default-job-18] `-- Installing png-1.6.18...
[head-amd64-default-job-18] `-- Extracting png-1.6.18: .......... done
[head-amd64-default-job-18] Extracting irrlicht-1.8.1_2: .......... done
Message from irrlicht-1.8.1_2:
###############################################################################

The Irrlicht Engine was installed

1) See the complete documentation at:

   http://irrlicht.sourceforge.net/docu/index.html

2) If you selected EXAMPLES option, you can see these examples at:

   /usr/local/share/examples/irrlicht
 
3) Enjoy it ;)

###############################################################################
===>   irrlamb-0.1.0_5 depends on file: /usr/local/lib/libIrrlicht.so - found
===>   Returning to build of irrlamb-0.1.0_5
===>   irrlamb-0.1.0_5 depends on file: /usr/local/bin/scons - not found
===>   Installing existing package /packages/All/scons-2.3.0_1.txz
[head-amd64-default-job-18] Installing scons-2.3.0_1...
[head-amd64-default-job-18] `-- Installing python27-2.7.10...
[head-amd64-default-job-18] |   `-- Installing libffi-3.2.1...
[head-amd64-default-job-18] |   | `-- Installing indexinfo-0.2.3...
[head-amd64-default-job-18] |   | `-- Extracting indexinfo-0.2.3: .... done
[head-amd64-default-job-18] |   `-- Extracting libffi-3.2.1: .......... done
[head-amd64-default-job-18] |   `-- Installing gettext-runtime-0.19.6...
[head-amd64-default-job-18] |   `-- Extracting gettext-runtime-0.19.6: 
.......... done
[head-amd64-default-job-18] |   `-- Installing readline-6.3.8...
[head-amd64-default-job-18] |   `-- Extracting readline-6.3.8: .......... done
[head-amd64-default-job-18] `-- Extracting python27-2.7.10: .......... done
[head-amd64-default-job-18] `-- Installing py27-setuptools27-17.0...
[head-amd64-default-job-18] `-- Extracting py27-setuptools27-17.0: .......... 
done
[head-amd64-default-job-18] `-- Installing python2-2_3...
[head-amd64-default-job-18] `-- Extracting python2-2_3: ...... done
[head-amd64-default-job-18] `-- Installing m4-1.4.17_1,1...
[head-amd64-default-job-18] `-- Extracting m4-1.4.17_1,1: .......... done
[head-amd64-default-job-18] Extracting scons-2.3.0_1: .......... done
Message from python27-2.7.10:
=====================================================================

Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

bsddb           databases/py-bsddb
gdbm            databases/py-gdbm
sqlite3         databases/py-sqlite3
tkinter         x11-toolkits/py-tkinter

=====================================================================
===>   irrlamb-0.1.0_5 depends on file: /usr/local/bin/scons - found
===>   Returning to build of irrlamb-0.1.0_5
===========================================================================
=======================<phase: lib-depends    >============================
===>   irrlamb-0.1.0_5 depends on shared library: libsqlite3.so - not found
===>   Installing existing package /packages/All/sqlite3-3.8.11.1_1.txz
[head-amd64-default-job-18] Installing sqlite3-3.8.11.1_1...
[head-amd64-default-job-18] Extracting sqlite3-3.8.11.1_1: .......... done
===>   irrlamb-0.1.0_5 depends on shared library: libsqlite3.so - found 
(/usr/local/lib/libsqlite3.so)
===>   Returning to build of irrlamb-0.1.0_5
===>   irrlamb-0.1.0_5 depends on shared library: liblua-5.1.so - not found
===>   Installing existing package /packages/All/lua51-5.1.5_9.txz
[head-amd64-default-job-18] Installing lua51-5.1.5_9...
[head-amd64-default-job-18] `-- Installing libedit-3.1.20150325_1...
[head-amd64-default-job-18] `-- Extracting libedit-3.1.20150325_1: .......... 
done
[head-amd64-default-job-18] Extracting lua51-5.1.5_9: .......... done
===>   irrlamb-0.1.0_5 depends on shared library: liblua-5.1.so - found 
(/usr/local/lib/liblua-5.1.so)
===>   Returning to build of irrlamb-0.1.0_5
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for irrlamb-0.1.0_5
===========================================================================
=======================<phase: build          >============================
===>  Building for irrlamb-0.1.0_5
scons: Reading SConscript files ...
scons: done reading SConscript files.
scons: Building targets ...
c++ -o src/viewreplay.o -c -O2 -pipe -fstack-protector -fno-strict-aliasing -O2 
-pipe -fstack-protector -fno-strict-aliasing -DNDEBUG -I/usr/local/include 
-I/usr/local/include/lua51 -Isrc/bullet src/viewreplay.cpp
In file included from src/viewreplay.cpp:23:
In file included from src/engine/physics.h:22:
In file included from src/bullet/btBulletCollisionCommon.h:35:
In file included from 
src/bullet/BulletCollision/CollisionShapes/btBvhTriangleMeshShape.h:20:
In file included from 
src/bullet/BulletCollision/CollisionShapes/btOptimizedBvh.h:21:
src/bullet/BulletCollision/BroadphaseCollision/btQuantizedBvh.h:69:46: warning: 
shifting a negative signed value is undefined [-Wshift-negative-value]
                return 
(m_escapeIndexOrTriangleIndex&~((~0)<<(31-MAX_NUM_PARTS_IN_BITS)));
                                                       ~~~~^
In file included from src/viewreplay.cpp:35:
src/menu.h:131:3: error: unknown type name 'array'
                array<const SaveLevelStruct *> LevelStats;
                ^
src/menu.h:131:8: error: expected member name or ';' after declaration 
specifiers
                array<const SaveLevelStruct *> LevelStats;
                ~~~~~^
src/viewreplay.cpp:135:9: warning: 31 enumeration values not handled in switch: 
'EGET_ELEMENT_FOCUS_LOST', 'EGET_ELEMENT_FOCUSED', 'EGET_ELEMENT_HOVERED'... 
[-Wswitch]
        switch(EventType) {
               ^
2 warnings and 2 errors generated.
scons: *** [src/viewreplay.o] Error 1
scons: building terminated because of errors.
*** Error code 1

Stop.
make: stopped in /usr/ports/games/irrlamb
_______________________________________________
freebsd-pkg-fallout@freebsd.org mailing list
https://lists.freebsd.org/mailman/listinfo/freebsd-pkg-fallout
To unsubscribe, send any mail to "freebsd-pkg-fallout-unsubscr...@freebsd.org"

Reply via email to